1 Reply Latest reply on May 15, 2013 9:37 AM by Jess Sightler

    jboss 7.1.1.Final + jsf 1.2 + richfaces 3.3.3 (migrate weblogic to jboss)

    Manuel Gordillo Newbie

      hello ..
      I am new in Jboss..., and I have to migrate from weblogic to jboss.
      We have an application with  jsf1.2 and richfaces 3.3.3, versions not want to upgrade.
      The problem is that when deploying on jboss everything seems ok but when accessing the application does not seem to find the properties.
      Not sure if it is a conflict of libraries on the server or something.
      I attached the files that I consider relevant and log information.

      That same EAR deployed in weblogic and working properly.

      The web.xml information:

       

        <context-param>
        <param-name>javax.faces.DEFAULT_SUFFIX</param-name>
        <param-value>.jspx</param-value>
      </context-param>

      <context-param>
        <param-name>org.ajax4jsf.VIEW_HANDLERS</param-name>
        <param-value>com.sun.facelets.FaceletViewHandler</param-value>
      </context-param>

       

      <context-param>
           <param-name>org.jboss.jbossfaces.WAR_BUNDLES_JSF_IMPL</param-name>
           <param-value>true</param-value>
      </context-param>

      <context-param>
            <param-name>facelets.SKIP_COMMENTS</param-name>
            <param-value>true</param-value>
        </context-param>

       

      This error is the same:
      https://community.jboss.org/thread/164245

       

      But if I update the jsf-facelets-1.1.15.b1, I have this error:
      https://community.jboss.org/thread/185039

      Thank you.